
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineSystem.cmake:228 (message)"
      - "CMakeLists.txt:2 (project)"
    message: |
      The target system is: Generic -  - arm
      The host system is: Windows - 10.0.19045 - AMD64
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags:  
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -c 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -Aa 
      
      The output was:
      1
      <command-line>: error: missing '(' after predicate
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -D__CLASSIC_C__ 
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: --target=arm-arm-none-eabi;-mcpu=cortex-m3 
      
      The output was:
      1
      arm-none-eabi-gcc.exe: error: unrecognized command-line option '--target=arm-arm-none-eabi'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -c;-I__does_not_exist__ 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags:  
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags: -c 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags: -Aa 
      
      The output was:
      1
      <command-line>: error: missing '(' after predicate
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags: -D__CLASSIC_C__ 
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags: --target=arm-arm-none-eabi;-mcpu=cortex-m3 
      
      The output was:
      1
      arm-none-eabi-gcc.exe: error: unrecognized command-line option '--target=arm-arm-none-eabi'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe 
      Build flags: 
      Id flags: -c;-I__does_not_exist__ 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:1144 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:86 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Checking whether the C compiler is IAR using "" did not match "IAR .+ Compiler":
      arm-none-eabi-gcc.exe: fatal error: no input files
      compilation terminated.
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:1144 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:86 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Checking whether the C compiler is IAR using "" did not match "IAR .+ Compiler":
      arm-none-eabi-gcc.exe: fatal error: no input files
      compilation terminated.
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags:  
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -c 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCXXCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: --c++ 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--c++'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: --ec++ 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--ec++'; did you mean '-Weffc++'?
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: --target=arm-arm-none-eabi;-mcpu=cortex-m3 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--target=arm-arm-none-eabi'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: -DSTM32H7A3xxQ;-mcpu=cortex-m7;-mthumb;-Dflash_layout;-DARM_MATH_CM7;-DCORE_CM7;-mfloat-abi=hard;-mfpu=fpv5-d16;-fdata-sections;-ffunction-sections;-DUSING_VISUAL_GDB
      Id flags: -c;-I__does_not_exist__ 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCXXCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags:  
      
      The output was:
      1
      c:/sysgcc/arm-eabi/bin/../lib/gcc/arm-none-eabi/12.2.1/../../../../arm-none-eabi/bin/ld.exe: cannot open output file a.out: Invalid argument
      collect2.exe: error: ld returned 1 exit status
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags: -c 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCXXCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags: --c++ 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--c++'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags: --ec++ 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--ec++'; did you mean '-Weffc++'?
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags: --target=arm-arm-none-eabi;-mcpu=cortex-m3 
      
      The output was:
      1
      arm-none-eabi-g++.exe: error: unrecognized command-line option '--target=arm-arm-none-eabi'
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" failed.
      Compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-g++.exe 
      Build flags: 
      Id flags: -c;-I__does_not_exist__ 
      
      The output was:
      1
      Assembler messages:
      Fatal error: can't create CMakeCXXCompilerId.o: Invalid argument
      
      
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:1144 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:86 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Checking whether the CXX compiler is IAR using "" did not match "IAR .+ Compiler":
      arm-none-eabi-g++.exe: fatal error: no input files
      compilation terminated.
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:1144 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:86 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Checking whether the CXX compiler is IAR using "" did not match "IAR .+ Compiler":
      arm-none-eabi-g++.exe: fatal error: no input files
      compilation terminated.
  -
    kind: "message-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake:1131 (message)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineASMCompiler.cmake:131 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "CMakeLists.txt:2 (project)"
    message: |
      Checking whether the ASM compiler is GNU using "--version" matched "(GNU assembler)|(GCC)|(Free Software Foundation)":
      arm-none-eabi-gcc.exe (Arm GNU Toolchain 12.2.MPACBTI-Rel1 (Build arm-12-mpacbti.34)) 12.2.1 20230214
      Copyright (C) 2022 Free Software Foundation, Inc.
      This is free software; see the source for copying conditions.  There is NO
      warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-coegj7"
      binary: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-coegj7"
    cmakeVariables:
      CMAKE_C_FLAGS: "-DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB"
      CMAKE_C_FLAGS_DEBUG: "-O0 -ggdb3 -DDEBUG=1"
      CMAKE_EXE_LINKER_FLAGS: "-TSTM32H7A3ZI_FLASH.ld -L//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/cmake/linker-scripts/stm --specs=nano.specs -u _printf_float -u _scanf_float --specs=nosys.specs -Wl,--gc-sections"
      CMAKE_USER_MAKE_RULES_OVERRIDE: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/cmake/toolchains/OverrideBuildTypeSettings.cmake"
      CMAKE_WARN_DEPRECATED: "FALSE"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-coegj7'
        
        Run Build Command(s): "C:/Program Files (x86)/Sysprogs/VisualGDB/ninja.exe" -v cmTC_82f23
        [1/2] C:\\SysGCC\\arm-eabi\\bin\\arm-none-eabi-gcc.exe   -DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB -o CMakeFiles\\cmTC_82f23.dir\\CMakeCCompilerABI.c.obj -c C:\\Users\\magene\\AppData\\Local\\VisualGDB\\CMake\\share\\cmake-3.28\\Modules\\CMakeCCompilerABI.c
        FAILED: CMakeFiles/cmTC_82f23.dir/CMakeCCompilerABI.c.obj 
        C:\\SysGCC\\arm-eabi\\bin\\arm-none-eabi-gcc.exe   -DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB -o CMakeFiles\\cmTC_82f23.dir\\CMakeCCompilerABI.c.obj -c C:\\Users\\magene\\AppData\\Local\\VisualGDB\\CMake\\share\\cmake-3.28\\Modules\\CMakeCCompilerABI.c
        Assembler messages:
        Fatal error: can't create CMakeFiles\\cmTC_82f23.dir\\CMakeCCompilerABI.c.obj: Invalid argument
        ninja: build stopped: subcommand failed.
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "C:/Users/magene/AppData/Local/VisualGDB/CMake/share/cmake-3.28/Modules/CMakeTestCCompiler.cmake:56 (try_compile)"
      - "CMakeLists.txt:2 (project)"
    checks:
      - "Check for working C compiler: C:/SysGCC/arm-eabi/bin/arm-none-eabi-gcc.exe"
    directories:
      source: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-0lba3g"
      binary: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-0lba3g"
    cmakeVariables:
      CMAKE_C_FLAGS: "-DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB"
      CMAKE_C_FLAGS_DEBUG: "-O0 -ggdb3 -DDEBUG=1"
      CMAKE_EXE_LINKER_FLAGS: "-TSTM32H7A3ZI_FLASH.ld -L//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/cmake/linker-scripts/stm --specs=nano.specs -u _printf_float -u _scanf_float --specs=nosys.specs -Wl,--gc-sections"
      CMAKE_USER_MAKE_RULES_OVERRIDE: "//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/cmake/toolchains/OverrideBuildTypeSettings.cmake"
      CMAKE_WARN_DEPRECATED: "FALSE"
    buildResult:
      variable: "CMAKE_C_COMPILER_WORKS"
      cached: true
      stdout: |
        Change Dir: '//atlas/ProjectLibrary/CPF/ElectricalEngr/cpfSTM32H7A3_SOM/Code/CPF_H7A3/buildresults/VisualGDB/Debug/CMakeFiles/CMakeScratch/TryCompile-0lba3g'
        
        Run Build Command(s): "C:/Program Files (x86)/Sysprogs/VisualGDB/ninja.exe" -v cmTC_603c1
        [1/2] C:\\SysGCC\\arm-eabi\\bin\\arm-none-eabi-gcc.exe   -DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB -o CMakeFiles\\cmTC_603c1.dir\\testCCompiler.c.obj -c \\\\atlas\\ProjectLibrary\\CPF\\ElectricalEngr\\cpfSTM32H7A3_SOM\\Code\\CPF_H7A3\\buildresults\\VisualGDB\\Debug\\CMakeFiles\\CMakeScratch\\TryCompile-0lba3g\\testCCompiler.c
        FAILED: CMakeFiles/cmTC_603c1.dir/testCCompiler.c.obj 
        C:\\SysGCC\\arm-eabi\\bin\\arm-none-eabi-gcc.exe   -DSTM32H7A3xxQ -mcpu=cortex-m7 -mthumb -Dflash_layout -DARM_MATH_CM7 -DCORE_CM7 -mfloat-abi=hard -mfpu=fpv5-d16  -fdata-sections -ffunction-sections -DUSING_VISUAL_GDB -o CMakeFiles\\cmTC_603c1.dir\\testCCompiler.c.obj -c \\\\atlas\\ProjectLibrary\\CPF\\ElectricalEngr\\cpfSTM32H7A3_SOM\\Code\\CPF_H7A3\\buildresults\\VisualGDB\\Debug\\CMakeFiles\\CMakeScratch\\TryCompile-0lba3g\\testCCompiler.c
        Assembler messages:
        Fatal error: can't create CMakeFiles\\cmTC_603c1.dir\\testCCompiler.c.obj: Invalid argument
        ninja: build stopped: subcommand failed.
        
      exitCode: 1
...
